Search found 92 matches

by CoderMusashi
Thu Feb 24, 2022 12:11 pm
Forum: Path/CAM
Topic: Trying to pocket a half circle, running into problems
Replies: 11
Views: 2949

Re: Trying to pocket a half circle, running into problems

Posting this in the tutorial section but I tried doing this using the helix tool path. All in all it seemed like it is doable. Here is the link to the video on youtube. https://youtu.be/KUCQNqedgtw
by CoderMusashi
Tue Dec 14, 2021 10:09 am
Forum: Python scripting and macros
Topic: Extract All the Wires (Edges) from a Step File
Replies: 2
Views: 1523

Extract All the Wires (Edges) from a Step File

I use this feature macro alot when I want to work with the wires of an imported step file for reverse engineering purposes. I have used this kind of tool in other cad cam software like mastercam for extracting more than one edge at a time. There is a video tutorial on youtube demonstrating the use. ...
by CoderMusashi
Tue Nov 23, 2021 8:15 am
Forum: Path/CAM
Topic: Negative Extensions
Replies: 2
Views: 1050

Re: Negative Extensions

I would suggest creating a separate surface for where you want to machine. I am not sure what you mean by a splitter or negative clearance but I did a video about extending cutting paths using separate surfaces created for extending adaptive toolpaths. Then someone pointed out the new extension feat...
by CoderMusashi
Tue Oct 26, 2021 2:52 am
Forum: Python scripting and macros
Topic: How to capture sketcher commands?
Replies: 4
Views: 1747

Re: How to capture sketcher commands?

You sure can by using the Record macro button....
by CoderMusashi
Fri Oct 22, 2021 12:47 am
Forum: Python scripting and macros
Topic: How to use python to create a model-based processing path and simulate
Replies: 7
Views: 2335

Re: How to use python to create a model-based processing path and simulate

I am not sure what your trying to accomplish. I was bored at work and took a stab at what you were working on for fun. I notice you were just calling up the GUI using the command Gui.runCommand('Path_Simulator',0) I knew you had to hit the play button or the simulation wouldn't run so I took a look ...
by CoderMusashi
Thu Oct 21, 2021 8:23 am
Forum: Path/CAM
Topic: Circle + Filled = wrong path
Replies: 6
Views: 1767

Re: Circle + Filled = wrong path

I did not mean to sound like I was making any personal attacks because we all need each others help and we don't know everything. If it came across that way, I am sorry it was not my intention. I know that every CAM package out there does not always do what we think it should but given the informati...
by CoderMusashi
Thu Oct 21, 2021 4:43 am
Forum: Python scripting and macros
Topic: How to use python to create a model-based processing path and simulate
Replies: 7
Views: 2335

Re: How to use python to create a model-based processing path and simulate

Here is some code to get you further on your quest. Gui.runCommand('Path_Simulator',0) import PathScripts.PathSimulatorGui as psim psim.pathSimulation.SetupSimulation() psim.pathSimulation.SimPlay() # code for accepting and closing the dialog box psim.pathSimulation.accept() FreeCADGui.Control.close...
by CoderMusashi
Tue Oct 19, 2021 12:26 am
Forum: Path/CAM
Topic: Circle + Filled = wrong path
Replies: 6
Views: 1767

Re: Circle + Filled = wrong path

Nothing is wrong with the source code. Simple operator error in this instance. Your stock is not set correctly. First I tried with just Create Box and after seeing that works just fine I changed it back to Extend Model's Bound Box and it centered itself just right. Your stock sets your Boundary Box ...
by CoderMusashi
Fri Jul 23, 2021 8:11 am
Forum: Path/CAM
Topic: Path pocket/clearing: how to properly specify "open" pockets
Replies: 8
Views: 2081

Re: Path pocket/clearing: how to properly specify "open" pockets

Thanks for pointing out the new Extension feature you can use in Adaptive Paths. I took it for a spin with the model I just made the video on and it work the same as what I was trying to accomplish in the video. This is an amazing community of talented people.
by CoderMusashi
Thu Jul 22, 2021 11:43 am
Forum: Path/CAM
Topic: Path pocket/clearing: how to properly specify "open" pockets
Replies: 8
Views: 2081

Re: Path pocket/clearing: how to properly specify "open" pockets

Please don't mind the sound issue in parts of this video. Basically I make faces that extend past where I need the radius of my endmill to go. I do this using tools in the part workbench. The video shows how I make wires from edges and turn those wires into faces. This allows me to cut exactly how I...